> This page is for version v2023-09-01.
> For other versions, use one of these documentation indexes:
> - v2024-05-25 (default): https://docs.monite.com/v-2024-05-25/llms.txt
> - v2024-01-31: https://docs.monite.com/v2024-01-31/llms.txt
> - v2023-09-01: https://docs.monite.com/v2023-09-01/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.monite.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server.

# Changelog

## Overview

This page provides an ongoing record of updates, improvements, and new features. Stay informed on the latest changes and enhancements as we continue to develop and optimize our platform.

### June 19, 2024

* **CC and BCC in receivables email**: Added the ability to include a list of email addresses using the `recipients` field in the payload the `/receivables/{receivable_id}/send` and `/receivables/{receivable_id}/send_test_reminder` endpoints. Using this field, entities can include email addresses to which they want to send a copy or a blind copy of the email.

### May 22, 2024

* **Automatic matching of purchase orders with payables**. Every time a payable is created or updated, Monite [automatically tries to link](../../accounts-payable/payables/collect#automatic-matching-of-purchase-orders-with-payables) this payable to its corresponding purchase order, which is already created in the system. For such cases, the field `purchase_order_id` was added to the `payable` object. To configure this behavior, the field `allow_purchase_order_autolinking` (default value equals to `true`) was added to the entity settings.
* Added a new `original_file_url` field in responses for invoices, quotes, and credit notes that returns the receivables PDF in the entity's language. The field was also added to the response of the `GET /receivables/{receivable_id}/pdf_link` endpoint.

### May 8, 2024

* **Document number customization.** We added the ability to customize the document numbers for all document types. This customization is done directly via entity settings. For more information, see [Document number customization](../../advanced/document-number-customization).

### April 11, 2024

* [Payment intents](../../payments/payment-intents) can now transition to the `refunded` status from the `payout_failed` and `payout_cancelled` statuses.

### March 14, 2024

* The new `GET /events` endpoint retrieves a log of that was sent to a partner. It shows the history of events and includes events triggered while a webhook listener was unavailable.
* Added [VAT rates](../../accounts-receivable/vat-rates) and [regulatory coverage](../../accounts-receivable/regulatory-compliance/countries) for Bulgaria and Finland.

### March 1, 2024

* Added the [`POST /payables/{payable_id}/validate`](/v2023-09-01/api/payables/post-payables-id-validate) endpoint that returns the information that is missing to [move a payable](../../accounts-payable/payables/index#validate-mandatory-fields) from `draft` to the `new` state.
* Now, when a payable's `issued_at` or `payment_terms` fields are updated, the value of the `suggested_payment_term` is [recalculated](../../accounts-payable/payables/index#suggested-payment-date).
* Our OCR supports new fields for payables:
  * `line_item.vat_percentage`
  * `line_item.total_incl_vat`
  * `vat_amount`
* Added [VAT rates](../../accounts-receivable/vat-rates) and [regulatory coverage](../../accounts-receivable/regulatory-compliance/countries) for Israel and Pakistan.
* Added the ability to push canceled invoices to an accounting software.
* Added new [RBAC permissions](../../api/concepts/authentication#permission-types): `onboarding` and `person`.
  * The `onboarding` permission is required to access the following endpoints using an entity user token:\
    `GET /entities/{entity_id}/onboarding_requirements`\
    `POST /onboarding_documents`\
    `POST /persons/{person_id}/onboarding_documents`
  * The `person` permission is required to access other `/persons*` endpoints using an entity user token.

### February 15, 2024

**Breaking changes:**

* In [MoniteScript](../../references/monitescript), the only value allowed for the `event_name` field is `submitted_for_approval`. The `event_name` and `invoice` fields remain mandatory.

**New features and improvements:**

* New field `payable.ocr_status` that reflects the current status of the OCR process of a payable. Its possible values are `processing`, `error`, and `success`.
* New optional `type` field in the request body of the `POST /receivables/{receivable_id}/preview` endpoint. You can use `type=discount_reminder` or `type=final_reminder` to preview reminder emails for a specific invoice. For more information, see [Preview a payment reminder email](../../accounts-receivable/invoices/payment-reminders#preview-a-payment-reminder-email).
* PDF invoices generated by Australian entities now have currency amounts formatted accordingly.
* New `response_status_code` field in the responses from `GET /webhooks`.

### February 2, 2024

* The turnaround time for processing a payable (including OCR data) received by email has reduced significantly.
* New optional fields parsed to the `other_extracted_data` object in the responses of OCR-processed payables: `sort_code` and `account_number`.
* New optional field `unit` parsed  in the `payables.line_items` object in the responses of OCR-processed payables.
* The [requirement](../../accounts-payable/payables/index#draft) for at least one line item in a payable can be disabled in the partner's settings by calling `PATCH /settings` passing the new field `enable_line_items` as `false` (the default value is `true`).
* New query parameters to `GET /counterparts` to find and filter counterparts by their bank details: `account_number` and `sort_code`.
* New optional fields in [invoices and quotes](../../accounts-receivable/index): `deduction_amount` and `deduction_memo`.
* New partner setting `receivable.deduction_title` to provide a custom deduction title.
* Added [VAT rates](../../accounts-receivable/vat-rates) and [regulatory coverage](../../accounts-receivable/regulatory-compliance/countries) for Denmark and Luxembourg.

### January 24, 2024

**Breaking changes:**

* The currency of products added as line items to invoices and quotes must now match the base currency of the invoice or quote itself. Monite does not support automatic currency conversion.

* Changed the format of `document_id` values in invoices, quotes, and credit notes.
  * Invoices: `INV-XXXX` (previously `invoice-XXXX`)
  * Quotes: `Q-XXXX` (previously `quote-XXXX`)
  * Credit notes: `CN-XXXX` (previously `credit-note-XXXX`)

* Removed the unused `push_statuses` setting from `/accounting_sync_rules`.

**New features and improvements:**

* Added [VAT rates](../../accounts-receivable/vat-rates) and [regulatory coverage](../../accounts-receivable/regulatory-compliance/countries) for Austria and Finland.

* Country codes provided by entities and counterparts in the Canary Islands (IC) and autonomous Spanish cities—Ceuta and Melilla (EA)—must adhere to the ISO 3166 standard for those regions.

* Added new endpoint to get the role of the authenticated entity user: `GET /entity_users/my_role`.

* Added new RBAC permission: `payment_record`. It is required to access the `/payment_records` endpoints using an entity user token.

* Added the ability to customize the email sender name and username on all outgoing emails. For more information, see [Domains and mailboxes](../../advanced/mailboxes#manage-domains).

* Added new `id__in` query parameter to `GET /counterparts`. Use it to bulk fetch multiple counterparts by their IDs.

* Added new query parameters to `GET /receivables` to filter invoices by due date: `due_date__gt`, `due_date__lt`, `due_date__gte`, `due_date__lte`.

* Added the `due_date` field to invoice responses as a convenience alias for the existing field `payment_terms.term_final.end_date`.

* Added new [webhooks](../../references/webhooks/index) to notify partners about the status of [accounting system](../../accounting/integration/index) connections:
  * `accounting_connection.pending_auth`
  * `accounting_connection.connected`
  * `accounting_connection.deauthorized`
  * `accounting_connection.disconnected`

* Partner setting `mail.attach_documents_as_pdf` now also affects purchase order emails.

* Added an optional `payout_method` field to [payment intents](../../payments/payment-intents). Currently, the only possible value is `"bank_account"`.

### January 11, 2024

* Added a new endpoint to delete an entity logo: `DELETE /entities/{entity_id}/logo`.

### December 19, 2023

The version `2023-09-01` is now publicly available to all Monite partners. To start using this version:

1. Change the `api_version` setting in your partner settings ([`/settings`](/v2023-09-01/api/partner-settings/patch-settings)) to `2023-09-01`:

   ```sh
   curl -X PATCH 'https://api.sandbox.monite.com/v1/settings' \
        -H 'X-Monite-Version: 2023-09-01' \
        -H 'Authorization: Bearer YOUR_PARTNER_TOKEN' \
        -H 'Content-Type: application/json' \
        -d '{"api_version": "2023-09-01"}'
   ```

2. Change the `X-Monite-Version` header value in all API calls to `2023-09-01`. For example:

   **`cURL`**

   ```sh cURL
   curl -X GET 'https://api.sandbox.monite.com/v1/entities' \
        -H 'X-Monite-Version: 2023-09-01' \
        -H 'Authorization: Bearer ACCESS_TOKEN'
   ```

For more information, see [How to upgrade](/api/concepts/versioning#upgrade).